%define  patch_name kernel-fix-drivers-media

Name: %patch_name
Version: 2006.10.23
Release: alt1

Summary: %patch_name kernel patch - Linux media drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source 2604	2.6_04_dvb-samsung-tuner-frequency-ranges.patch		2.6
%source 2605	2.6_05_dvb-select-fw_loader.patch			2.6
%source 2606	2.6_06_saa7134-disable_ir-oops.patch			2.6
%source 2607	2.6_07_nxt2002-firmware-location.patch			2.6
%source 2608	2.6_08_saa7127-fix-saa7129-support.patch		2.6
%source 2609	2.6_09_cxusb-bluebird-no-powerdown.patch		2.6
%source 2610	2.6_10_drivers-media-v2.6.16.30-rc1.patch		2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux media drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.23-alt1
- Added patches for 2.6.16:
  + 2.6_10_drivers-media-v2.6.16.30-rc1.patch: combined drivers/media patches
    added between 2.6.16.29 and 2.6.16.30-rc1.  Included changes:
    + Backport the budget driver DISEQC instability fix
    + Backport fix to artec USB DVB devices
    + Fix budget-av frontend detection
    + TDA8290 update
    + TDA10046 Driver update
    + Add drivers/media/video/saa7134/saa7134-input.c:flydvb_codes
    + Added support for the new Lifeview hybrid cardbus modules
    + Corrected CVBS input for the AVERMEDIA 777 DVB-T
    + Added PCI IDs of 2 LifeView Cards
    + Saa7134: select FW_LOADER
    + Medion 7134: Autodetect second bridge chip
    + Saa7134: make unsupported secondary decoder message generic
    + Saa7134: add support for AVerMedia A169 Dual Analog tuner card
    + Saa7134: document that there's also a 220RF from KWorld
    + ELSA EX-VISION 700TV: fix incorrect PCI subsystem ID
    + Kworld ATSC110: initialize the tuner for analog mode on module load
    + Kworld ATSC110: cleanups
    + Kworld ATSC110: enable composite and svideo inputs
    + KWorld ATSC110: implement set_pll_input
    + Add support for Kworld ATSC110
    + Add saa713x card: ELSA EX-VISION 700TV (saa7130)
    + Added support for the Tevion DVB-T 220RF card
    + Added support for the ADS Instant TV DUO Cardbus PTV331
    + Added support for the LifeView FlyDVB-T LR301 card
    + Add support for the Avermedia 777 DVB-T card
- Removed obsolete patches for kernel 2.6.14:
  - 2.6_00_dvb-budget-ci-depends.patch
  - 2.6_01_dvb-pinnacle-pctv-stereo.patch
  - 2.6_02_dvb-thomson-dtt-761x-analog.patch
  - 2.6_03_dvb-dst-buffer-overflow.patch
- Removed useless "apply_to_2.6.16" marks.

* Sat Apr 29 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.29-alt1
- Added patches for 2.6.16:
  + 2.6_07_nxt2002-firmware-location.patch: get_dvb_firmware: download nxt2002
    firmware from new driver location
  + 2.6_08_saa7127-fix-saa7129-support.patch: fix saa7129 support in saa7127
    module for pvr350 tv out
  + 2.6_09_cxusb-bluebird-no-powerdown.patch: cxusb-bluebird: power down
    corrupts frontend

* Wed Apr 12 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.12-alt1
- Added patches for 2.6.16:
  + 2.6_06_saa7134-disable_ir-oops.patch: saa7134: fix oops with disable_ir=1

* Fri Mar 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.24-alt1
- Updated for kernel 2.6.16.
- Marked old patches to be applied only to kernel 2.6.14:
  - 2.6_00_dvb-budget-ci-depends.patch
  - 2.6_01_dvb-pinnacle-pctv-stereo.patch
  - 2.6_02_dvb-thomson-dtt-761x-analog.patch
  - 2.6_03_dvb-dst-buffer-overflow.patch
- Added patches for 2.6.16:
  + 2.6_04_dvb-samsung-tuner-frequency-ranges.patch: V4L/DVB: fix Samsung NTSC
    tuner frequency ranges
  + 2.6_05_dvb-select-fw_loader.patch: VIDEO_DECODER must select FW_LOADER

* Sat Jan 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.01.07-alt1
- Updated for kernel 2.6.14.
- Removed obsolete patches:
  - 2.6_00_manliMTV-beholdTV-ir.patch
  - 2.6_01_trivial-v4l-cx88-video-hue-offset-fix.patch
- Added:
  + 2.6_00_dvb-budget-ci-depends.patch: dvb: BUDGET CI card depends on STV0297
    demodulator
  + 2.6_01_dvb-pinnacle-pctv-stereo.patch: dvb: fix tuner init for Pinnacle
    PCTV Stereo
  + 2.6_02_dvb-thomson-dtt-761x-analog.patch: dvb: fix analog NTSC for Thomson
    DTT 761X hybrid tuner (pcHDTV 3000, FusionHDTV3 Gold-T)
  + 2.6_03_dvb-dst-buffer-overflow.patch: dvb: dst: fix possible buffer
    overflow

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Added:
  + 2.6_01_trivial-v4l-cx88-video-hue-offset-fix.patch: set hue offset to 128
    to correct behavior in cx88 cards

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_saa7110-oops-fix.patch
  - 2.6_01_i2c-message-flags.patch
  - 2.6_02_bttv-freeze.patch
  - 2.6_03_bttv-vc100.patch
  - 2.6_04_manliMTV-beholdTV-ir-2.6.11.patch
  - 2.6_05_bttv-i2c-oops.patch
- Added:
  + 2.6_00_manliMTV-beholdTV-ir.patch: updated Manli and BeholdTV remote
    control support patch for 2.6.12

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_03_bttv-vc100.patch: bttv: make video capture work on Leadtek WinFast
    VC100 XP cards
  + 2.6_04_manliMTV-beholdTV-ir-2.6.11.patch: saa7134: add support for remote
    control as used with Manli MuchTV M-TV00[12] boards; add BeholdTV 401 and
    BeholdTV 403 FM card names to the Manli entries.
  + 2.6_05_bttv-i2c-oops.patch: bttv: don't try to access the i2c bus if the
    register wasn't successful

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_02_bttv-freeze.patch: fix freeze on loading bttv in some configurations

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 00_videodev-check-range.patch
- Added:
  + 2.6_00_saa7110-oops-fix.patch: fix saa7110 oops on modprobe
  + 2.6_01_i2c-message-flags.patch: fix i2c message flags in video drivers

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 00_bttv-videodev2-notimeh.patch
- Added:
  + 00_videodev-check-range.patch: fix V4L miss of range check oops

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 2003.09.09-alt1
- added patch for build userspace packages without errors with videodev2.h header
     00_bttv-videodev2-notimeh.patch



